from django.shortcuts import render
from django.http import HttpResponse

from.models import Artist, Album, Song


def index(request):
    page_content="""<H1>Welcome to Yam’s Music Library!</H1>"""
    for album in Album.objects.all():
        newAlbumDateTime =  album.release_date.strftime("%m-%d-%Y %I:%M %p")
        page_content += """<ul>
                            <li>Date and Time: {}<br>
                            <li>Artist: {}<br>
                            <li>Album Name: {}<br>
                            </ul>""".format(newAlbumDateTime, album.artist.artist_name, 
                                            album.album_name)
        for song in Song.objects.filter(album=album):
            page_content += f"<li>{song.song_title}</li>"
        page_content += "</ul></li></ul>"
                                        
    return HttpResponse(page_content)